DECLARE 
	@licencia AS VARCHAR(30),
	@eid AS VARCHAR(5),
	@idUsuario AS INT

SELECT top 1 @licencia = [uid], @eid = [eid] FROM [gen_config] WHERE [active] = 1
SET @idUsuario = 1

IF NOT EXISTS (SELECT 1 FROM [gui_aplicacion] where id = 1 AND aplicacion_codigo = 'SAMMWEB')
BEGIN
	INSERT INTO [dbo].[gui_aplicacion]
           ([id]
           ,[uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[aplicacion]
           ,[aplicacion_codigo])
     VALUES
           (1
           ,@licencia
           ,@eid
           ,@idUsuario
           ,@idUsuario
           ,GETDATE()
           ,GETDATE()
           ,1
           ,'SAMMWEB'
           ,'SAMMWEB')
END

IF NOT EXISTS (SELECT 1 FROM [gui_aplicacion] where id = 2 AND aplicacion_codigo = 'MVC')
BEGIN
	INSERT INTO [dbo].[gui_aplicacion]
           ([id]
           ,[uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[aplicacion]
           ,[aplicacion_codigo])
     VALUES
           (2
           ,@licencia
           ,@eid
           ,@idUsuario
           ,@idUsuario
           ,GETDATE()
           ,GETDATE()
           ,1
           ,'MVC'
           ,'MVC')
END

IF NOT EXISTS (SELECT 1 FROM [gui_aplicacion] where id = 3 AND aplicacion_codigo = 'APPSAMM')
BEGIN
	INSERT INTO [dbo].[gui_aplicacion]
           ([id]
           ,[uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[aplicacion]
           ,[aplicacion_codigo])
     VALUES
           (3
           ,@licencia
           ,@eid
           ,@idUsuario
           ,@idUsuario
           ,GETDATE()
           ,GETDATE()
           ,1
           ,'APPSAMM'
           ,'APPSAMM')
END

IF NOT EXISTS (SELECT 1 FROM [gui_aplicacion] where id = 4 AND aplicacion_codigo = 'APPKUBO')
BEGIN
	INSERT INTO [dbo].[gui_aplicacion]
           ([id]
           ,[uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[aplicacion]
           ,[aplicacion_codigo])
     VALUES
           (4
           ,@licencia
           ,@eid
           ,@idUsuario
           ,@idUsuario
           ,GETDATE()
           ,GETDATE()
           ,1
           ,'APPKUBO'
           ,'APPKUBO')
END
